/**********************************\

  clkgen.v

  09/04/22   ver 0.3   S.Nishida

\**********************************/

module clkgen( clk, reset, halfcycle, rising, falling );

parameter NB_HALFCYCLE = 4;

input 	                 clk, reset;
input [NB_HALFCYCLE-1:0] halfcycle;
output 			 rising, falling;

/* internal signal */
reg [NB_HALFCYCLE:0] 	 cnt;

/* main */
always @(posedge clk or posedge reset) begin
    if( reset ) cnt <= 0;
    else begin
	if( cnt==2*halfcycle-1 ) cnt <= 0;
	else cnt <= cnt + 1;
    end
end

assign rising = (cnt == 0);
assign falling = (cnt == halfcycle);

// always @(posedge clk) begin
//     if( rising ) clkout <= 1'b1;
//     else if( falling ) clkout <= 1'b0;
// end

endmodule
