//----------------------------------
//  hdsr.v
//
//  09/04/25 ver 0.4  S.Nishida
//----------------------------------

`include "sa03board2_h.v"

module hdsr( clk, reset, hd_shift, hd_trig, dataout, mode_edge, hitdata );

input                       clk, reset, hd_shift, hd_trig, dataout, mode_edge;
output [`NB_HITDATA_CH-1:0] hitdata;

reg [`NB_HITDATA_CH-1:0]    hitdata;

/* internal signal */
reg [`NB_HDSR-1:0] 	    sr;
reg                         p_dataout, c_dataout, dataout_edge;
wire 			    srin;

always @(posedge clk) { p_dataout, c_dataout } <= { c_dataout, dataout };

always @(posedge clk) begin
    if( !p_dataout && c_dataout ) dataout_edge <= 1'b1;
    else if( hd_shift ) dataout_edge <= 1'b0;
end

assign srin = mode_edge ? dataout_edge : dataout;

always @(posedge clk) begin
    if( hd_shift ) sr <= { sr[`NB_HDSR-2:0], srin };
end

always @(posedge clk or posedge reset) begin
    if(reset) hitdata <= 0;
    else if( hd_trig ) hitdata <= sr[`NB_HDSR-1:`NB_HDSR-`NB_HITDATA_CH];
end

endmodule
