//----------------------------------
//  hdsr144.v
//
//  10/10/21  ver 0.1   S.Nishida
//----------------------------------

`include "sa03board2_h.v"

module hdsr144( clk, reset, hd_shift, hd_trig, dataout, mode_edge, hitdata );

input                    clk, reset, hd_shift, hd_trig, mode_edge;
input [143:0]            dataout;
output [`NB_HITDATA-1:0] hitdata;

hdsr36 u0( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
           .dataout(dataout[35:0]), .mode_edge(mode_edge),
           .hitdata(hitdata[`NB_HITDATA_CH*36-1:`NB_HITDATA_CH*0]) );

hdsr36 u1( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
           .dataout(dataout[71:36]), .mode_edge(mode_edge),
           .hitdata(hitdata[`NB_HITDATA_CH*72-1:`NB_HITDATA_CH*36]) );

hdsr36 u2( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
           .dataout(dataout[107:72]), .mode_edge(mode_edge),
           .hitdata(hitdata[`NB_HITDATA_CH*108-1:`NB_HITDATA_CH*72]) );

hdsr36 u3( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
           .dataout(dataout[143:108]), .mode_edge(mode_edge),
           .hitdata(hitdata[`NB_HITDATA_CH*144-1:`NB_HITDATA_CH*108]) );

endmodule
