//----------------------------------
//  hdsr36.v
//
//  09/04/25 ver 0.4  S.Nishida
//----------------------------------

`include "sa03board2_h.v"

module hdsr36( clk, reset, hd_shift, hd_trig, dataout, mode_edge, hitdata );

input                          clk, reset, hd_shift, hd_trig, mode_edge;
input [35:0]                   dataout;
output [`NB_HITDATA_CH*36-1:0] hitdata;

hdsr u00( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[0]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*1-1:`NB_HITDATA_CH*0]) );

hdsr u01( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[1]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*2-1:`NB_HITDATA_CH*1]) );

hdsr u02( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[2]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*3-1:`NB_HITDATA_CH*2]) );

hdsr u03( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[3]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*4-1:`NB_HITDATA_CH*3]) );

hdsr u04( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[4]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*5-1:`NB_HITDATA_CH*4]) );

hdsr u05( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[5]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*6-1:`NB_HITDATA_CH*5]) );

hdsr u06( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[6]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*7-1:`NB_HITDATA_CH*6]) );

hdsr u07( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[7]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*8-1:`NB_HITDATA_CH*7]) );

hdsr u08( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[8]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*9-1:`NB_HITDATA_CH*8]) );

hdsr u09( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[9]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*10-1:`NB_HITDATA_CH*9]) );

hdsr u10( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[10]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*11-1:`NB_HITDATA_CH*10]) );

hdsr u11( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[11]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*12-1:`NB_HITDATA_CH*11]) );

hdsr u12( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[12]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*13-1:`NB_HITDATA_CH*12]) );

hdsr u13( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[13]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*14-1:`NB_HITDATA_CH*13]) );

hdsr u14( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[14]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*15-1:`NB_HITDATA_CH*14]) );

hdsr u15( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[15]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*16-1:`NB_HITDATA_CH*15]) );

hdsr u16( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[16]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*17-1:`NB_HITDATA_CH*16]) );

hdsr u17( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[17]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*18-1:`NB_HITDATA_CH*17]) );

hdsr u18( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[18]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*19-1:`NB_HITDATA_CH*18]) );

hdsr u19( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[19]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*20-1:`NB_HITDATA_CH*19]) );

hdsr u20( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[20]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*21-1:`NB_HITDATA_CH*20]) );

hdsr u21( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[21]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*22-1:`NB_HITDATA_CH*21]) );

hdsr u22( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[22]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*23-1:`NB_HITDATA_CH*22]) );

hdsr u23( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[23]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*24-1:`NB_HITDATA_CH*23]) );

hdsr u24( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[24]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*25-1:`NB_HITDATA_CH*24]) );

hdsr u25( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[25]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*26-1:`NB_HITDATA_CH*25]) );

hdsr u26( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[26]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*27-1:`NB_HITDATA_CH*26]) );

hdsr u27( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[27]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*28-1:`NB_HITDATA_CH*27]) );

hdsr u28( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[28]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*29-1:`NB_HITDATA_CH*28]) );

hdsr u29( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[29]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*30-1:`NB_HITDATA_CH*29]) );

hdsr u30( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[30]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*31-1:`NB_HITDATA_CH*30]) );

hdsr u31( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[31]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*32-1:`NB_HITDATA_CH*31]) );

hdsr u32( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[32]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*33-1:`NB_HITDATA_CH*32]) );

hdsr u33( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[33]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*34-1:`NB_HITDATA_CH*33]) );

hdsr u34( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[34]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*35-1:`NB_HITDATA_CH*34]) );

hdsr u35( .clk(clk), .reset(reset), .hd_shift(hd_shift), .hd_trig(hd_trig),
          .dataout(dataout[35]), .mode_edge(mode_edge),
          .hitdata(hitdata[`NB_HITDATA_CH*36-1:`NB_HITDATA_CH*35]) );

endmodule
